# Created by pyp2rpm-3.3.2
%global pypi_name enum-compat

Name:           python-%{pypi_name}
Version:        0.0.3
Release:        1%{?dist}
Summary:        enum/enum34 compatibility package

License:        MIT
URL:            https://github.com/jstasiak/enum-compat
Source0:        %{pypi_source}
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%?python_enable_dependency_generator

%description
enum-compat This is a virtual package, its whole purpose is to install enum34
on Python older than 3.4. On Python 3.4+ it's a no-op.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(enum34)
%description -n python3-%{pypi_name}
enum-compat This is a virtual package, its whole purpose is to install enum34
on Python older than 3.4. On Python 3.4+ it's a no-op.


%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build


%install
%py3_install


%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/enum_compat-%{version}-py%{python3_version}.egg-info/


%changelog
* Tue Nov 19 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.0.3-1
- Initial package